BEGIN ~LHEMI1~

IF ~Global("Emisry1","GLOBAL",0)~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 4
END

IF ~~ THEN BEGIN 1
  SAY @3
  IF ~~ THEN REPLY @4 GOTO 2
  IF ~~ THEN REPLY @5 GOTO 3
END

IF ~~ THEN BEGIN 2
  SAY @6
  IF ~~ THEN REPLY @7 GOTO 6
  IF ~~ THEN REPLY @8 DO ~SetGlobal("Emisry1","GLOBAL",2)~ EXIT
END

IF ~~ THEN BEGIN 3
  SAY @9
  IF ~~ THEN DO ~SetGlobal("Emisry1","GLOBAL",1)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @10
  IF ~~ THEN REPLY @11 GOTO 1
  IF ~~ THEN REPLY @12 GOTO 3
END

IF ~Global("Emisry1","GLOBAL",4)~ THEN BEGIN 5
  SAY @13 
  IF ~~ THEN DO ~SetGlobal("PikAlly","GLOBAL",1)
SetGlobal("Emisry1","GLOBAL",4)
SetGlobal("Jester1","AR0087",4)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 6
  SAY @14
  IF ~~ THEN DO ~SetGlobal("Emisry1","GLOBAL",3)
EscapeArea()
~ EXIT
END

IF ~Global("Emisry1","GLOBAL",2)~ THEN BEGIN 7
  SAY @15
  IF ~~ THEN REPLY @16 GOTO 8
  IF ~~ THEN REPLY @17 GOTO 9
END

IF ~~ THEN BEGIN 8
  SAY @14
  IF ~~ THEN DO ~SetGlobal("Emisry1","GLOBAL",3)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 9
  SAY @18
  IF ~~ THEN EXIT
END
